Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#62420 - [linux-hardened] gcc 8.3 upgrade probably breaks dkms build

Attached to Project: Arch Linux
Opened by Rafael Rutkowski (rrutkowski) - Sunday, 21 April 2019, 13:27 GMT
Last edited by Jelle van der Waa (jelly) - Monday, 22 April 2019, 08:22 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Levente Polyak (anthraxx)
Architecture x86_64
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
After gcc 8.3 update the dkms build is failing for all installed dkms modules. In my case this is bbswitch-dkms and nvidia-dkms.

This is the output of the bbswitch dkms build:

DKMS make.log for bbswitch-0.8 for kernel 5.0.7.a-1-hardened (x86_64)
So 21. Apr 15:14:13 CEST 2019
make -C /lib/modules/5.0.7.a-1-hardened/build M="$(pwd)" modules
make[1]: Verzeichnis „/usr/lib/modules/5.0.7.a-1-hardened/build“ wird betreten
CC [M] /var/lib/dkms/bbswitch/0.8/build/bbswitch.o
cc1: Fehler: incompatible gcc/plugin versions
cc1: Fehler: Plugin ./scripts/gcc-plugins/stackleak_plugin.so kann nicht initialisiert werden
cc1: Fehler: incompatible gcc/plugin versions
cc1: Fehler: Plugin ./scripts/gcc-plugins/structleak_plugin.so kann nicht initialisiert werden
cc1: Fehler: incompatible gcc/plugin versions
cc1: Fehler: Plugin ./scripts/gcc-plugins/latent_entropy_plugin.so kann nicht initialisiert werden
make[2]: *** [scripts/Makefile.build:283: /var/lib/dkms/bbswitch/0.8/build/bbswitch.o] Fehler 1
make[1]: *** [Makefile:1579: _module_/var/lib/dkms/bbswitch/0.8/build] Fehler 2
make[1]: Verzeichnis „/usr/lib/modules/5.0.7.a-1-hardened/build“ wird verlassen
make: *** [Makefile:13: default] Fehler 2


Additional info:
* package version(s)

* config and/or log files etc.
* link to upstream bug report, if any

Steps to reproduce:
pacman -Syyu

packages updated:
attica-5.57.0-1 bbswitch-dkms-0.8-211 binutils-2.32-1 extra-cmake-modules-5.57.0-1 gcc-8.3.0-gcc-libs-8.3.0-1 glibc-2.29-1 http-parser-2.9.1-1 imagemagick-7.0.8.41-1 karchive-5.57.0-1 kauth-5.57.0-1 kbookmarks-5.57.0-1 kcmutils-5.57.0-1 kcodecs-5.57.0-1 kcompletion-5.57.0-1 kconfig-5.57.0-1 kconfigwidgets-5.57.0-1 kcoreaddons-5.57.0-1 kcrash-5.57.0-1 kdbusaddons-5.57.0-1 kdeclarative-5.57.0-1 kglobalaccel-5.57.0-1 kguiaddons-5.57.0-1 ki18n-5.57.0-1 kiconthemes-5.57.0-1 kio-5.57.0-1 kitemviews-5.57.0-1 kjobwidgets-5.57.0-1 knotifications-5.57.0-1 kpackage-5.57.0-1 kservice-5.57.0-1 ktextwidgets-5.57.0-1 kwallet-5.57.0-1 kwayland-5.57.0-1 kwidgetsaddons-5.57.0-1 kwindowsystem-5.57.0-1 kxmlgui-5.57.0-1 lib32-gcc-libs-8.3.0-1 lib32-glibc-2.29-1 libcap-2.27-1 libmagick-7.0.8.41-1 libtool-2.4.6+42+gb88cebd5-3 linux-api-headers-5.0.7-1 lz4-1:1.9.0-1 nvidia-dkms-418.56-8 pygobject-devel-3.32.1-1 python-cffi-1.12.3-1 python-gobject-3.32.1-1 python2-cffi-1.12.3-1 python2-gobject-3.32.1-1 qca-2.2.0-2 solid-5.57.0-1 sonnet-5.57.0-1 zstd-1.4.0-1

:: Starte post-transaction hooks...
(1/8) Install DKMS modules
==> dkms install bbswitch/0.8 -k 5.0.7.a-1-hardened
Error! Bad return status for module build on kernel: 5.0.7.a-1-hardened (x86_64)
Consult /var/lib/dkms/bbswitch/0.8/build/make.log for more information.
==> dkms install nvidia/418.56 -k 5.0.7.a-1-hardened
Error! Bad return status for module build on kernel: 5.0.7.a-1-hardened (x86_64)
Consult /var/lib/dkms/nvidia/418.56/build/make.log for more information.

/var/lib/dkms/bbswitch/0.8/build/make.log:
DKMS make.log for bbswitch-0.8 for kernel 5.0.7.a-1-hardened (x86_64)
So 21. Apr 15:14:13 CEST 2019
make -C /lib/modules/5.0.7.a-1-hardened/build M="$(pwd)" modules
make[1]: Verzeichnis „/usr/lib/modules/5.0.7.a-1-hardened/build“ wird betreten
CC [M] /var/lib/dkms/bbswitch/0.8/build/bbswitch.o
cc1: Fehler: incompatible gcc/plugin versions
cc1: Fehler: Plugin ./scripts/gcc-plugins/stackleak_plugin.so kann nicht initialisiert werden
cc1: Fehler: incompatible gcc/plugin versions
cc1: Fehler: Plugin ./scripts/gcc-plugins/structleak_plugin.so kann nicht initialisiert werden
cc1: Fehler: incompatible gcc/plugin versions
cc1: Fehler: Plugin ./scripts/gcc-plugins/latent_entropy_plugin.so kann nicht initialisiert werden
make[2]: *** [scripts/Makefile.build:283: /var/lib/dkms/bbswitch/0.8/build/bbswitch.o] Fehler 1
make[1]: *** [Makefile:1579: _module_/var/lib/dkms/bbswitch/0.8/build] Fehler 2
make[1]: Verzeichnis „/usr/lib/modules/5.0.7.a-1-hardened/build“ wird verlassen
make: *** [Makefile:13: default] Fehler 2

/var/lib/dkms/nvidia/418.56/build/make.log:
DKMS make.log for nvidia-418.56 for kernel 5.0.7.a-1-hardened (x86_64)
So 21. Apr 14:59:31 CEST 2019
make[1]: Verzeichnis „/usr/lib/modules/5.0.7.a-1-hardened/build“ wird betreten
SYMLINK /var/lib/dkms/nvidia/418.56/build/nvidia/nv-kernel.o
SYMLINK /var/lib/dkms/nvidia/418.56/build/nvidia-modeset/nv-modeset-kernel.o
CONFTEST: INIT_WORK
CONFTEST: remap_pfn_range
CONFTEST: hash__remap_4k_pfn
CONFTEST: follow_pfn
CONFTEST: vmap
CONFTEST: set_pages_uc
CONFTEST: list_is_first
CONFTEST: set_memory_uc
CONFTEST: change_page_attr
CONFTEST: set_memory_array_uc
CONFTEST: pci_get_class
CONFTEST: pci_choose_state
CONFTEST: vm_insert_page
CONFTEST: acpi_device_id
CONFTEST: acquire_console_sem
CONFTEST: console_lock
CONFTEST: kmem_cache_create
CONFTEST: on_each_cpu
CONFTEST: smp_call_function
CONFTEST: acpi_evaluate_integer
CONFTEST: ioremap_cache
CONFTEST: ioremap_wc
CONFTEST: acpi_walk_namespace
CONFTEST: pci_domain_nr
CONFTEST: pci_dma_mapping_error
CONFTEST: sg_alloc_table
CONFTEST: sg_init_table
CONFTEST: pci_get_domain_bus_and_slot
CONFTEST: get_num_physpages
CONFTEST: efi_enabled
CONFTEST: proc_create_data
CONFTEST: pde_data
CONFTEST: proc_remove
CONFTEST: pm_vt_switch_required
CONFTEST: xen_ioemu_inject_msi
CONFTEST: phys_to_dma
CONFTEST: get_dma_ops
CONFTEST: write_cr4
CONFTEST: of_get_property
CONFTEST: of_find_node_by_phandle
CONFTEST: of_node_to_nid
CONFTEST: pnv_pci_get_npu_dev
CONFTEST: of_get_ibm_chip_id
CONFTEST: for_each_online_node
CONFTEST: node_end_pfn
CONFTEST: pci_bus_address
CONFTEST: pci_stop_and_remove_bus_device
CONFTEST: pci_remove_bus_device
CONFTEST: request_threaded_irq
CONFTEST: register_cpu_notifier
CONFTEST: cpuhp_setup_state
CONFTEST: dma_map_resource
CONFTEST: backlight_device_register
CONFTEST: register_acpi_notifier
CONFTEST: timer_setup
CONFTEST: pci_enable_msix_range
CONFTEST: compound_order
CONFTEST: do_gettimeofday
CONFTEST: remap_page_range
CONFTEST: address_space_init_once
CONFTEST: kbasename
CONFTEST: fatal_signal_pending
CONFTEST: list_cut_position
CONFTEST: vzalloc
CONFTEST: wait_on_bit_lock_argument_count
CONFTEST: bitmap_clear
CONFTEST: usleep_range
CONFTEST: radix_tree_empty
CONFTEST: radix_tree_replace_slot
CONFTEST: pnv_npu2_init_context
CONFTEST: drm_dev_unref
CONFTEST: drm_reinit_primary_mode_group
CONFTEST: get_user_pages_remote
CONFTEST: get_user_pages
CONFTEST: drm_gem_object_lookup
CONFTEST: drm_atomic_state_ref_counting
CONFTEST: drm_driver_has_gem_prime_res_obj
CONFTEST: drm_atomic_helper_connector_dpms
CONFTEST: drm_connector_funcs_have_mode_in_name
CONFTEST: vmf_insert_pfn
CONFTEST: drm_framebuffer_get
CONFTEST: drm_gem_object_get
CONFTEST: drm_dev_put
CONFTEST: is_export_symbol_gpl_of_node_to_nid
CONFTEST: is_export_symbol_present_swiotlb_map_sg_attrs
CONFTEST: is_export_symbol_present_swiotlb_dma_ops
CONFTEST: i2c_adapter
CONFTEST: pm_message_t
CONFTEST: irq_handler_t
CONFTEST: acpi_device_ops
CONFTEST: acpi_op_remove
CONFTEST: outer_flush_all
CONFTEST: proc_dir_entry
CONFTEST: scatterlist
CONFTEST: sg_table
CONFTEST: file_operations
CONFTEST: vm_operations_struct
CONFTEST: atomic_long_type
CONFTEST: pci_save_state
CONFTEST: file_inode
CONFTEST: task_struct
CONFTEST: kuid_t
CONFTEST: dma_ops
CONFTEST: swiotlb_dma_ops
CONFTEST: dma_map_ops
CONFTEST: noncoherent_swiotlb_dma_ops
CONFTEST: vm_fault_present
CONFTEST: vm_fault_has_address
CONFTEST: backlight_properties_type
CONFTEST: vmbus_channel_has_ringbuffer_page
CONFTEST: fault_flags
CONFTEST: atomic64_type
CONFTEST: address_space
CONFTEST: backing_dev_info
CONFTEST: mm_context_t
CONFTEST: vm_ops_fault_removed_vma_arg
CONFTEST: node_states_n_memory
CONFTEST: drm_bus_present
CONFTEST: drm_bus_has_bus_type
CONFTEST: drm_bus_has_get_irq
CONFTEST: drm_driver_has_legacy_dev_list
CONFTEST: drm_bus_has_get_name
CONFTEST: drm_driver_has_set_busid
CONFTEST: drm_crtc_state_has_connectors_changed
CONFTEST: drm_init_function_args
CONFTEST: drm_mode_connector_list_update_has_merge_type_bits_arg
CONFTEST: drm_helper_mode_fill_fb_struct
CONFTEST: drm_master_drop_has_from_release_arg
CONFTEST: drm_driver_unload_has_int_return_type
CONFTEST: kref_has_refcount_of_type_refcount_t
CONFTEST: drm_atomic_helper_crtc_destroy_state_has_crtc_arg
CONFTEST: drm_crtc_helper_funcs_has_atomic_enable
CONFTEST: drm_mode_object_find_has_file_priv_arg
CONFTEST: dma_buf_owner
CONFTEST: drm_connector_list_iter
CONFTEST: drm_atomic_helper_swap_state_has_stall_arg
CONFTEST: dom0_kernel_present
CONFTEST: nvidia_vgpu_hyperv_available
CONFTEST: nvidia_vgpu_kvm_build
CONFTEST: nvidia_grid_build
CONFTEST: drm_available
CONFTEST: drm_atomic_available
CONFTEST: is_export_symbol_gpl_refcount_inc
CONFTEST: is_export_symbol_gpl_refcount_dec_and_test
CC [M] /var/lib/dkms/nvidia/418.56/build/nvidia/nv-frontend.o
CC [M] /var/lib/dkms/nvidia/418.56/build/nvidia/nv.o
CC [M] /var/lib/dkms/nvidia/418.56/build/nvidia/nv-instance.o
CC [M] /var/lib/dkms/nvidia/418.56/build/nvidia/nv-acpi.o
CC [M] /var/lib/dkms/nvidia/418.56/build/nvidia/nv-chrdev.o
CC [M] /var/lib/dkms/nvidia/418.56/build/nvidia/nv-cray.o
CC [M] /var/lib/dkms/nvidia/418.56/build/nvidia/nv-gvi.o
CC [M] /var/lib/dkms/nvidia/418.56/build/nvidia/nv-dma.o
cc1: Fehler: incompatible gcc/plugin versions
cc1: Fehler: Plugin ./scripts/gcc-plugins/stackleak_plugin.so kann nicht initialisiert werden
cc1: Fehler: incompatible gcc/plugin versions
cc1: Fehler: Plugin ./scripts/gcc-plugins/structleak_plugin.so kann nicht initialisiert werden
cc1: Fehler: incompatible gcc/plugin versions
cc1: Fehler: Plugin ./scripts/gcc-plugins/latent_entropy_plugin.so kann nicht initialisiert werden
cc1: Fehler: incompatible gcc/plugin versions
cc1: Fehler: Plugin ./scripts/gcc-plugins/stackleak_plugin.so kann nicht initialisiert werden
cc1: Fehler: incompatible gcc/plugin versions
cc1: Fehler: Plugin ./scripts/gcc-plugins/structleak_plugin.so kann nicht initialisiert werden
cc1: Fehler: incompatible gcc/plugin versions
cc1: Fehler: Plugin ./scripts/gcc-plugins/latent_entropy_plugin.so kann nicht initialisiert werden
cc1: Fehler: incompatible gcc/plugin versions
cc1: Fehler: incompatible gcc/plugin versions
cc1: Fehler: Plugin ./scripts/gcc-plugins/stackleak_plugin.so kann nicht initialisiert werden
cc1: Fehler: Plugin ./scripts/gcc-plugins/stackleak_plugin.so kann nicht initialisiert werden
cc1: Fehler: incompatible gcc/plugin versions
cc1: Fehler: Plugin ./scripts/gcc-plugins/structleak_plugin.so kann nicht initialisiert werden
cc1: Fehler: incompatible gcc/plugin versions
cc1: Fehler: Plugin ./scripts/gcc-plugins/structleak_plugin.so kann nicht initialisiert werden
cc1: Fehler: incompatible gcc/plugin versions
cc1: Fehler: incompatible gcc/plugin versions
cc1: Fehler: Plugin ./scripts/gcc-plugins/latent_entropy_plugin.so kann nicht initialisiert werden
cc1: Fehler: Plugin ./scripts/gcc-plugins/latent_entropy_plugin.so kann nicht initialisiert werden
make[2]: *** [scripts/Makefile.build:277: /var/lib/dkms/nvidia/418.56/build/nvidia/nv.o] Fehler 1
make[2]: *** Es wird auf noch nicht beendete Prozesse gewartet....
make[2]: *** [scripts/Makefile.build:277: /var/lib/dkms/nvidia/418.56/build/nvidia/nv-frontend.o] Fehler 1
cc1: Fehler: incompatible gcc/plugin versions
make[2]: *** [scripts/Makefile.build:277: /var/lib/dkms/nvidia/418.56/build/nvidia/nv-instance.o] Fehler 1
cc1: Fehler: Plugin ./scripts/gcc-plugins/stackleak_plugin.so kann nicht initialisiert werden
make[2]: *** [scripts/Makefile.build:277: /var/lib/dkms/nvidia/418.56/build/nvidia/nv-chrdev.o] Fehler 1
cc1: Fehler: incompatible gcc/plugin versions
cc1: Fehler: Plugin ./scripts/gcc-plugins/structleak_plugin.so kann nicht initialisiert werden
cc1: Fehler: incompatible gcc/plugin versions
cc1: Fehler: Plugin ./scripts/gcc-plugins/latent_entropy_plugin.so kann nicht initialisiert werden
make[2]: *** [scripts/Makefile.build:277: /var/lib/dkms/nvidia/418.56/build/nvidia/nv-acpi.o] Fehler 1
cc1: Fehler: incompatible gcc/plugin versions
cc1: Fehler: Plugin ./scripts/gcc-plugins/stackleak_plugin.so kann nicht initialisiert werden
cc1: Fehler: incompatible gcc/plugin versions
cc1: Fehler: Plugin ./scripts/gcc-plugins/structleak_plugin.so kann nicht initialisiert werden
cc1: Fehler: incompatible gcc/plugin versions
cc1: Fehler: Plugin ./scripts/gcc-plugins/latent_entropy_plugin.so kann nicht initialisiert werden
cc1: Fehler: incompatible gcc/plugin versions
cc1: Fehler: Plugin ./scripts/gcc-plugins/stackleak_plugin.so kann nicht initialisiert werden
cc1: Fehler: incompatible gcc/plugin versions
cc1: Fehler: Plugin ./scripts/gcc-plugins/structleak_plugin.so kann nicht initialisiert werden
cc1: Fehler: incompatible gcc/plugin versions
cc1: Fehler: Plugin ./scripts/gcc-plugins/latent_entropy_plugin.so kann nicht initialisiert werden
cc1: Fehler: incompatible gcc/plugin versions
cc1: Fehler: Plugin ./scripts/gcc-plugins/stackleak_plugin.so kann nicht initialisiert werden
cc1: Fehler: incompatible gcc/plugin versions
cc1: Fehler: Plugin ./scripts/gcc-plugins/structleak_plugin.so kann nicht initialisiert werden
cc1: Fehler: incompatible gcc/plugin versions
cc1: Fehler: Plugin ./scripts/gcc-plugins/latent_entropy_plugin.so kann nicht initialisiert werden
make[2]: *** [scripts/Makefile.build:277: /var/lib/dkms/nvidia/418.56/build/nvidia/nv-cray.o] Fehler 1
make[2]: *** [scripts/Makefile.build:277: /var/lib/dkms/nvidia/418.56/build/nvidia/nv-gvi.o] Fehler 1
make[2]: *** [scripts/Makefile.build:277: /var/lib/dkms/nvidia/418.56/build/nvidia/nv-dma.o] Fehler 1
make[1]: *** [Makefile:1579: _module_/var/lib/dkms/nvidia/418.56/build] Fehler 2
make[1]: Verzeichnis „/usr/lib/modules/5.0.7.a-1-hardened/build“ wird verlassen
make: *** [Makefile:79: modules] Fehler 2



This task depends upon

Closed by  Jelle van der Waa (jelly)
Monday, 22 April 2019, 08:22 GMT
Reason for closing:  Fixed
Additional comments about closing:  linux-hardened-5.0.7.a-2
Comment by John (graysky) - Sunday, 21 April 2019, 15:28 GMT
You might want to add export LANG=C and upload the output so it is in English.
Comment by Jelle van der Waa (jelly) - Sunday, 21 April 2019, 19:06 GMT
linux-hardened-5.0.7.a-2 is now in the repos.
Comment by Rafael Rutkowski (rrutkowski) - Monday, 22 April 2019, 06:16 GMT
i can confirm the problem is solved. Thank you!

Loading...